package com.yutou.tools.mybatis.dao;

import com.yutou.tools.mybatis.model.NasAdminAddress;
import com.yutou.tools.mybatis.model.NasAdminAddressExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface NasAdminAddressDao {
    long countByExample(NasAdminAddressExample example);

    int deleteByExample(NasAdminAddressExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(NasAdminAddress record);

    int insertSelective(NasAdminAddress record);

    List<NasAdminAddress> selectByExample(NasAdminAddressExample example);

    NasAdminAddress selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") NasAdminAddress record, @Param("example") NasAdminAddressExample example);

    int updateByExample(@Param("record") NasAdminAddress record, @Param("example") NasAdminAddressExample example);

    int updateByPrimaryKeySelective(NasAdminAddress record);

    int updateByPrimaryKey(NasAdminAddress record);
}